Change log for varnish package in Ubuntu

166 of 66 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-12-24
Deleted in disco-proposed (Reason: moved to release)
varnish (6.1.1-1) unstable; urgency=medium

  * Imported new upstream version 6.1.1
  * Set "BSD-2-clause" as license shortname for sphinx doc files
  * Add multiarch metadata
  * autopkgtest: ensure tests pass with sysvinit and systemd

 -- Stig Sandbeck Mathisen <email address hidden>  Sat, 01 Dec 2018 13:44:50 +0100
Superseded in disco-proposed on 2018-12-01
varnish (6.1.0-3) unstable; urgency=medium

  * Annotate python dependency with :any for development.
    Thanks to Helmut Grohne <email address hidden> (Closes: #865420)

 -- Stig Sandbeck Mathisen <email address hidden>  Sat, 06 Oct 2018 13:57:18 +0200
Superseded in disco-release on 2018-12-24
Published in cosmic-release on 2018-07-06
Deleted in cosmic-proposed (Reason: moved to release)
varnish (5.2.1-1build2) cosmic; urgency=medium

  * No-change rebuild for jemalloc soname change.

 -- Matthias Klose <email address hidden>  Thu, 28 Jun 2018 07:56:51 +0000

Available diffs

Superseded in cosmic-release on 2018-07-06
Deleted in cosmic-proposed on 2018-07-08 (Reason: moved to release)
varnish (5.2.1-1build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <email address hidden>  Thu, 03 May 2018 15:26:19 +0000
Superseded in cosmic-release on 2018-05-04
Published in bionic-release on 2018-02-07
Deleted in bionic-proposed (Reason: moved to release)
varnish (5.2.1-1) unstable; urgency=medium

  * Imported upstream release 5.2.1 (closes: #881808, CVE-2017-8807)
  * Refresh varnishreload from upstream packaging repo

 -- Stig Sandbeck Mathisen <email address hidden>  Wed, 29 Nov 2017 20:48:23 +0100

Available diffs

Superseded in bionic-proposed on 2017-11-30
varnish (5.2.0-1) unstable; urgency=medium

  * Imported upstream release 5.2.0
  * Declare compliance with Debian policy 4.1.1
  * refresh reproducible build patch
  * drop chunk size patch included upstream
  * Refresh shlib symbols file
  * Refresh lintian overrides list
  * Replace reload-vcl with varnishreload

 -- Stig Sandbeck Mathisen <email address hidden>  Thu, 12 Oct 2017 20:14:18 +0200

Available diffs

Published in xenial-updates on 2017-08-22
Published in xenial-security on 2017-08-22
varnish (4.1.1-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Correctly handle bogusly large chunk sizes (LP: #1708354)
    - 4.1-Correctly-handle-bogusly-large-chunk-sizes.patch
    - fix-ftbfs-on-i386-54b5a0.patch
    - CVE-2017-12425

 -- Simon Quigley <email address hidden>  Mon, 07 Aug 2017 13:15:51 -0500
Obsolete in zesty-updates on 2018-06-22
Obsolete in zesty-security on 2018-06-22
varnish (5.0.0-7ubuntu0.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Correctly handle bogusly large chunk sizes (LP: #1708354)
    - 5.0-Correctly-handle-bogusly-large-chunk-sizes.patch
    - CVE-2017-12425

 -- Simon Quigley <email address hidden>  Mon, 07 Aug 2017 12:57:31 -0500
Published in trusty-updates on 2017-08-22
Published in trusty-security on 2017-08-22
varnish (3.0.5-2ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: HTTP Smuggling issues: Double Content Length and bad EOL
    (LP: #1709153).
    - fix-HTTP-Smuggling-CVE-2015-8852.patch
    - CVE-2015-8852
  * SECURITY UPDATE: Correctly handle bogusly large chunk sizes
    (LP: #1709153).
    - Correctly-handle-bogusly-large-chunk-sizes-CVE-2017-12425.patch
    - CVE-2017-12425

 -- Simon Quigley <email address hidden>  Mon, 07 Aug 2017 13:57:07 -0500
Superseded in bionic-release on 2018-02-07
Published in artful-release on 2017-08-07
Deleted in artful-proposed (Reason: moved to release)
varnish (5.0.0-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2017-12425: Correctly handle bogusly large chunk sizes.
    This fixes a denial of service attack vector where bogusly large chunk
    sizes in requests could be used to force restarts of the Varnish server.
    (Closes: #870467)

 -- Salvatore Bonaccorso <email address hidden>  Fri, 04 Aug 2017 10:55:36 +0200

Available diffs

Superseded in artful-release on 2017-08-07
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
varnish (5.0.0-7) unstable; urgency=medium

  * Remove reload from varnish.service (Closes: #749272)

 -- Stig Sandbeck Mathisen <email address hidden>  Thu, 02 Mar 2017 18:16:05 +0100

Available diffs

Superseded in zesty-proposed on 2017-03-27
varnish (5.0.0-6) unstable; urgency=medium

  * Update reload-vcl for varnish 5.x
  * Re-enable service reload
  * Add autopkgtests for service reload

 -- Stig Sandbeck Mathisen <email address hidden>  Tue, 20 Dec 2016 22:04:01 +0100

Available diffs

Superseded in zesty-release on 2017-03-27
Deleted in zesty-proposed on 2017-04-07 (Reason: moved to release)
varnish (5.0.0-5) unstable; urgency=medium

  * cme: Remove version from lsb-base dependency

 -- Stig Sandbeck Mathisen <email address hidden>  Wed, 07 Dec 2016 06:49:43 +0100

Available diffs

Superseded in zesty-release on 2016-12-11
Deleted in zesty-proposed on 2016-12-12 (Reason: moved to release)
varnish (5.0.0-4) unstable; urgency=medium

  * Depend on lsb-base for the init script support
  * Ensure the package builds with dpkg-buildpackage -A (Closes: #838900)

 -- Stig Sandbeck Mathisen <email address hidden>  Mon, 05 Dec 2016 07:56:03 +0100

Available diffs

Superseded in zesty-release on 2016-12-05
Deleted in zesty-proposed on 2016-12-06 (Reason: moved to release)
varnish (5.0.0-3) unstable; urgency=medium

  * Add patch for reproducible build (Closes: #835061)

 -- Stig Sandbeck Mathisen <email address hidden>  Thu, 13 Oct 2016 06:21:04 +0200

Available diffs

Superseded in zesty-release on 2016-11-08
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
varnish (4.1.3-2) unstable; urgency=medium

  * Build with -fexcess-precision=standard to fix FTBFS on i386.  See
    https://github.com/varnishcache/varnish-cache/issues/1875 for more
    information.

 -- Emanuele Rocca <email address hidden>  Tue, 19 Jul 2016 11:42:47 +0200

Available diffs

Superseded in yakkety-proposed on 2016-07-19
varnish (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Upstream renamed README into README.rst. Update debian/varnish.docs
    accordingly
  * Add myself to the Uploaders field

 -- Emanuele Rocca <email address hidden>  Thu, 07 Jul 2016 17:03:55 +0200

Available diffs

Superseded in yakkety-proposed on 2016-07-08
varnish (4.1.2-4) unstable; urgency=medium

  * Declare compliance with Debian policy 3.9.8
  * Use automatically built debug symbol packages
  * Update debian/copyright
  * Add Documentation= for varnishncsa.service

 -- Stig Sandbeck Mathisen <email address hidden>  Mon, 23 May 2016 22:20:11 +0200

Available diffs

Superseded in yakkety-proposed on 2016-05-24
varnish (4.1.2-3) unstable; urgency=medium

  * Use serverspec for autopkgtest
  * Remove old migration from postinst script

 -- Stig Sandbeck Mathisen <email address hidden>  Mon, 23 May 2016 16:51:41 +0200

Available diffs

Superseded in yakkety-proposed on 2016-05-24
varnish (4.1.2-2) unstable; urgency=medium

  * Fix FTBFS when building with dpkg-buildpackage -A (Closes: #806120)
  * Declare compliance with Debian Policy 3.9.7
  * Use https:// in Vcs-* fields
  * Update URL to upstream homepage

 -- Stig Sandbeck Mathisen <email address hidden>  Tue, 29 Mar 2016 15:55:33 +0200
Superseded in yakkety-release on 2016-08-05
Published in xenial-release on 2016-01-29
Deleted in xenial-proposed (Reason: moved to release)
varnish (4.1.1-1) unstable; urgency=medium

  * Imported upstream release 4.1.1

 -- Stig Sandbeck Mathisen <email address hidden>  Thu, 28 Jan 2016 21:22:13 +0100

Available diffs

Superseded in xenial-release on 2016-01-29
Deleted in xenial-proposed on 2016-01-30 (Reason: moved to release)
varnish (4.1.0-2) unstable; urgency=medium

  * The varnish cache worker now runs as the "vcache" user.
  * Group membership in "varnish" is now needed to access the shared memory
    used for varnish log and stats. The varnishlog, varnishncsa services run
    as this group.  /var/log/varnish is now owned by this group.
  * Examples for systemd for changing the varnish and varnishncsa commandlines
    have been added to /usr/share/doc/varnish/examples
  * [d948695] autopkgtest: use less complex tests for debci
  * [eb01441] varnish.service, remove redundant syntax check
  * [b072816] systemd units: restrict default access to files and devices.
    No network access for varnishlog and varnishncsa

 -- Stig Sandbeck Mathisen <email address hidden>  Fri, 06 Nov 2015 11:18:10 +0100

Available diffs

Superseded in xenial-release on 2015-11-07
Deleted in xenial-proposed on 2015-11-09 (Reason: moved to release)
varnish (4.1.0-1) unstable; urgency=medium

  [ Tollef Fog Heen ]
  * Under systemd, ensure varnishlog/varnishncsa are running before trying
    to reload them, to avoid a spurious mail.

  [ Stig Sandbeck Mathisen ]
  * Imported upstream release 4.1.0-1
  * [23c5db9] Build depend on graphviz for doc
  * [c49f79e] Adjust varnish doc install source
  * [94a0031] Use Pre-Depends: ${misc:Pre-Depends} (lintian)
  * [e5ef8d1] Give the varnish user a home in /nonexistent
  * [e678ca3] Add new symbols for libvarnishapi1

 -- Stig Sandbeck Mathisen <email address hidden>  Mon, 12 Oct 2015 14:23:28 +0200

Available diffs

Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
varnish (4.0.3-1) unstable; urgency=medium

  * Imported upstream release 4.0.3
  * [84d7292] Provide virtual packages for varnish ABI versions
  * [5c6fca3] Remove -w from example in /etc/default/varnish (Closes: #774963)

 -- Stig Sandbeck Mathisen <email address hidden>  Mon, 23 Feb 2015 13:23:54 +0100

Available diffs

Superseded in wily-release on 2015-05-08
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
varnish (4.0.2-1) unstable; urgency=medium


  * use /run instead of /var/run in sysv init scripts (Closes: #708975)
  * Remove explicit "exit 0" from init scripts
  * Check syntax of running varnish before restart
  * Imported upstream release 4.0.2

 -- Stig Sandbeck Mathisen <email address hidden>  Tue, 14 Oct 2014 22:53:05 +0200

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
varnish (4.0.1-1) unstable; urgency=medium


  * Imported upstream release 4.0.1
  * [5bdad65] Ensure header files end up in /usr/include/varnish
    (Closes: #745902)
  * [91747ac] Remove backported patch included in this release

 -- Stig Sandbeck Mathisen <email address hidden>  Thu, 26 Jun 2014 16:18:49 +0200

Available diffs

Superseded in utopic-release on 2014-06-27
Deleted in utopic-proposed on 2014-06-28 (Reason: moved to release)
varnish (4.0.0-2) unstable; urgency=medium


  * Reload varnishlog/varnishnsca properly on logrotate (Closes: #676491)
  * Install new upstream changelog (Closes: #745892)
  * Add upstream patch to build on kFreeBSD (Closes: #744199)
  * Ensure varnish starts before the logging daemons
  * debian/test: make better tests

 -- Stig Sandbeck Mathisen <email address hidden>  Tue, 13 May 2014 15:04:56 +0200

Available diffs

Superseded in utopic-release on 2014-05-14
Deleted in utopic-proposed on 2014-05-15 (Reason: moved to release)
varnish (4.0.0-1) unstable; urgency=medium


  * Imported Upstream version 4.0.0
  * [f39325d] Handle changes in documentation.
  * [adef4b7] Update libvarnishapi1 symbols list.
  * [05f83a6] Update list of architectures where jemalloc is not available
  * [d453e47] Use anonscm.debian.org VSC URIs
  * [f31fa49] Declare compliance with Debian Standards-Version 3.9.5
  * [83da9e2] Add lintian override for the generated search index
  * [2b56109] Add a NEWS file
  * [c729df4] Install new files needed for vmod development
  * [bc91563] Add python dependency for libvarnishapi-dev
  * [7679077] Install default "example.vcl" as /etc/varnish/default.vcl
  * [336d1e9] Ignore documentation not present in varnish 4

 -- Stig Sandbeck Mathisen <email address hidden>  Thu, 10 Apr 2014 14:20:00 +0200

Available diffs

Superseded in utopic-release on 2014-04-27
Published in trusty-release on 2014-03-27
Deleted in trusty-proposed (Reason: moved to release)
varnish (3.0.5-2) unstable; urgency=medium


  [ Mattia Rizzolo ]
  * debian/varnish.init: Add a configtest action.
    Thanks to Samuele Giovanni Tonon (Closes: #740002) (LP: #1284095)

  [ Stig Sandbeck Mathisen ]
  * debian/varnish.service: Test configuration before starting, add reload

  [ Jonathan Davies ]
  * debian/varnish.init: Use start-stop-daemon for status
  * debian/varnish.init: Remove PID file on stop (Closes: #661602)

  [ Martin Pitt ]
  * Add missing "needs-root" test restriction to fix autopkgtest

 -- Stig Sandbeck Mathisen <email address hidden>  Mon, 24 Mar 2014 21:37:23 +0100
Superseded in trusty-release on 2014-03-27
Deleted in trusty-proposed on 2014-03-28 (Reason: moved to release)
varnish (3.0.5-1ubuntu2) trusty; urgency=medium

  * Add missing "needs-root" test restriction.
 -- Martin Pitt <email address hidden>   Mon, 24 Mar 2014 18:13:21 +0100
Superseded in trusty-proposed on 2014-03-24
varnish (3.0.5-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1285299).  Remaining changes:
    - debian/patches/aarch64-support.patch: dropped, incorporeted in Debian
      differently.
    - debian/varnish.init:
      + add confingtest action (LP: #1284095, thanks Samuele Giovanni Tonon
        for the patch).
      + Remove PID file on stop (LP: #1014793, thanks Jonathan Davies for the
        patch).
      + Use start-stop-deamon to get status.

Available diffs

Superseded in trusty-release on 2014-03-24
Deleted in trusty-proposed on 2014-03-25 (Reason: moved to release)
varnish (3.0.4-1ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.
 -- Matthias Klose <email address hidden>   Mon, 30 Dec 2013 12:18:38 +0100

Available diffs

Superseded in trusty-release on 2013-12-30
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
varnish (3.0.4-1ubuntu1) saucy; urgency=low

  * debian/patches/aarch64-support.patch: Add jemalloc definitions for
    aarch64.
 -- William Grant <email address hidden>   Thu, 17 Oct 2013 01:41:42 +1100
Superseded in saucy-release on 2013-10-16
Deleted in saucy-proposed on 2013-10-17 (Reason: moved to release)
varnish (3.0.4-1) unstable; urgency=low


  [ Stig Sandbeck Mathisen ]
  * New upstream release
  * Add dep8 tests.
    Thanks to Yolanda Robla <email address hidden> (Closes: #710001)
  * Advertise "reload" in the init script help (Closes: #710525)

  [ Michael Stapelberg ]
  * use dh-systemd for proper systemd-related maintscripts

 -- Stig Sandbeck Mathisen <email address hidden>  Sat, 29 Jun 2013 16:20:51 +0200
Superseded in saucy-release on 2013-06-30
Deleted in saucy-proposed on 2013-07-01 (Reason: moved to release)
varnish (3.0.3-1ubuntu1) saucy; urgency=low

  * debian/tests: Add autopkgtst.
 -- Yolanda <email address hidden>   Mon, 27 May 2013 11:19:08 +0200
Superseded in saucy-release on 2013-05-27
Deleted in saucy-proposed on 2013-05-28 (Reason: moved to release)
varnish (3.0.3-1) unstable; urgency=low


  [ Stig Sandbeck Mathisen ]
  * New upstream release

  [ Tollef Fog Heen ]
  * Make varnishlog's and varnishncsa's init script exit with the exit
    status of status_of_proc to make them useful.  Fixes upstream trac
    #1226.

  [ Stig Sandbeck Mathisen ]
  * Do not rewrite /etc/default/varnish on upgrade.
    Thanks to Andreas Beckmann <email address hidden> (Closes: 698577)
  * Undo mangling of /etc/default/varnish that happened during lenny->squeeze
    upgrade.
    Thanks to Andreas Beckmann <email address hidden> (Closes: 698577)

 -- Stig Sandbeck Mathisen <email address hidden>  Sun, 05 May 2013 15:53:14 +0200

Available diffs

Published in precise-updates on 2012-07-16
Deleted in precise-proposed (Reason: moved to -updates)
varnish (3.0.2-1ubuntu0.1) precise-proposed; urgency=low

  * varnish.init:
    - Remove PID file on stop (LP: #1014793).
    - Use start-stop-daemon for status.
 -- Jonathan Davies <email address hidden>   Mon, 18 Jun 2012 19:53:22 +0100

Available diffs

Superseded in saucy-release on 2013-05-06
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
varnish (3.0.2-2) unstable; urgency=low


  [ Knut Arne Bjørndal ]
  * Fix exit code from reload-vcl (Closes: #664857)

  [ Stig Sandbeck Mathisen ]
  * Do not run build tests by default (Closes: #663667)
  * Use debhelper compat level 9 (Closes: #663064)
    This gives us multiarch and hardening flags
  * Remove /etc/varnish/secret on purge (Closes: #656220)
  * Bump standards-version (no changes)
  * Add systemd services
  * Remove vcs_version.h patch

 -- Stig Sandbeck Mathisen <email address hidden>  Tue, 01 May 2012 16:20:31 +0200

Available diffs

Superseded in quantal-release on 2012-05-14
Published in precise-release on 2011-11-09
varnish (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Build from upstream tarball instead of git tag
  * debian/watch: more specific regular expression
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  09 Nov 2011 13:07:04 +0000

Available diffs

Superseded in precise-release on 2011-11-09
varnish (3.0.1-2) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Make it possible to override DAEMON_OPTS for varnishlog and
    varnishncsa.
  * Make /etc/init.d/varnish status exit with a sensible status code
    rather than always being 0 (Closes: #637110)
  * Add missing options to reload-vcl to allow -C, -i, -M.

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
varnish (3.0.0-4) unstable; urgency=low
  * Add package with detached debugging symbols for varnish (Thanks,    Jean-Baptiste Quenot) -- Stig Sandbeck Mathisen <email address hidden>  Mon, 18 Jul 2011 12:25:02 +0200
Superseded in oneiric-release on 2011-07-27
varnish (3.0.0-2) unstable; urgency=low

  [ Daniel Baumann ]
  * Conditionally replace jquery.js in dh_installdocs override in order to
    not fail when building arch any packages only (Closes: #631895).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Jun 2011 08:26:17 +0000

Available diffs

Superseded in oneiric-release on 2011-06-29
varnish (3.0.0-1) unstable; urgency=low

  * New upstream release
  * Add a varnish-log package
  * Rename the library packages, to reflect library name
  * Add new upstream URI to debian/watch
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  28 Jun 2011 10:03:13 +0000

Available diffs

Superseded in oneiric-release on 2011-06-28
varnish (2.1.5-2) unstable; urgency=low

  * Release for unstable

Available diffs

Obsolete in maverick-updates on 2013-03-05
Deleted in maverick-proposed on 2013-03-05 (Reason: moved to -updates)
varnish (2.1.3-7ubuntu0.1) maverick-proposed; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Cherry-pick from fixed 2.1.4. (LP: #708939)
 -- SevenMachines <email address hidden>   Sat, 29 Jan 2011 09:27:10 +0000

Available diffs

Obsolete in lucid-updates on 2016-10-26
Deleted in lucid-proposed on 2016-11-01 (Reason: moved to -updates)
varnish (2.1.0-2ubuntu0.1) lucid-proposed; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Cherry-pick from fixed 2.1.4. (LP: #708939)
 -- SevenMachines <email address hidden>   Sat, 29 Jan 2011 09:24:01 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
varnish (2.1.4-1) experimental; urgency=low

  * New upstream version
  * Update symbols file for 2.1.4
  * Cherry-pick fix for upstream bug #801. Remove duplicate Content-
    Length header
 -- SevenMachines <email address hidden>   Wed, 03 Nov 2010 16:44:08 +0100

Available diffs

Superseded in natty-release on 2011-01-28
varnish (2.1.3-8) unstable; urgency=high

  * Fix random secret creation on non-Linux kernels (Closes: #596373)
  * Urgency "high" due to FTBFS RC bug during squeeze freeze
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 10:04:57 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
varnish (2.1.3-7) unstable; urgency=high

  [ Faidon Liambotis ]
  * Fix FTBFS race condition in tests/v00014.vtc (Closes: #594777)

  [ Stig Sandbeck Mathisen ]
  * Urgency "high" due to FTBFS RC bug during squeeze freeze

Available diffs

Superseded in maverick-release on 2010-09-10
varnish (2.1.3-2) unstable; urgency=low

  * Install all the needed library symlinks (Closes: #585128) (LP:
    #488258)
  * Use a different user for the varnish log daemons (LP: #461593)
  * Do not start automatically when installed (LP: #569060)
  * Clean up rules file, use debhelper v7

Available diffs

Superseded in maverick-release on 2010-07-30
varnish (2.1.2-1) unstable; urgency=low

  * New upstream version
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  24 May 2010 18:18:43 +0100

Available diffs

Superseded in maverick-release on 2010-05-25
varnish (2.1.1-1) unstable; urgency=low

  * New upstream version
  * Fix issue with "/etc/init.d/varnish reload" not working more than a few
    times when /bin/sh is provided by "dash"
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:06:30 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
varnish (2.1.0-2) unstable; urgency=low

  * Enable access control for the varnishd management port (CVE-2009-2936)
  * Fix varnishd.1 man page, document -S option used for access control

Available diffs

Superseded in lucid-release on 2010-04-12
varnish (2.0.6-2) unstable; urgency=low

  * Set the mailing list address as maintainer, and the members as uploaders
  * Fix "Varnish 2.0.6 incompatible with libvarnish1 2.0.5" by adding a
    versioned dependency on libvarnish1 (Closes: #566756)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  02 Feb 2010 00:01:27 +0000

Available diffs

Superseded in lucid-release on 2010-02-02
varnish (2.0.6-1) unstable; urgency=low

  * New upstream version (Closes: #561506)
  * debian/patches/vcl.7.patch: Remove patch, no longer needed
  * debian/libvarnish1.symbols: Removed some symbols for libvarnishcompat.so.1
  * init scripts: Add "status" argument (Closes: #561538)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  05 Jan 2010 06:07:40 +0000

Available diffs

Superseded in lucid-release on 2010-01-05
varnish (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Add README.source with information about quilt
  * Convert to source format 3.0 (quilt)
  * Add patch for vcl(7)
  * Remove patch for varnishd(1)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  21 Dec 2009 10:44:31 +0000

Available diffs

Superseded in lucid-release on 2009-12-21
varnish (2.0.4-5) unstable; urgency=low

  * Add s390 to list of architectures not using jemalloc

Available diffs

Superseded in lucid-release on 2009-11-06
Obsolete in karmic-release on 2013-03-04
varnish (2.0.4-2) unstable; urgency=low

  * Change Vcs-Browser and Vcs-Svn to reflect the packaging move to
    alioth
  * Add support for VCL reload via /etc/init.d/varnishd reload
  * Added a symbols file for libvarnish1
  * Add patch from Ingvar Hagelund to define *_2POW on s390, we should then be
    able to use jemalloc
  * Add build dependency on quilt

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  15 Jun 2009 11:18:49 +0100

Available diffs

Superseded in karmic-release on 2009-06-15
varnish (2.0.4-1) unstable; urgency=low

  * New upstream version

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:15:20 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
varnish (2.0.3-2) unstable; urgency=low

  * Add /usr/lib/pkgconfig/varnishapi.pc to the libvarnish-dev package
  * Update package description

Available diffs

Obsolete in hardy-updates on 2015-04-24
Deleted in hardy-proposed on 2015-04-30 (Reason: moved to -updates)
varnish (1.0.3-2ubuntu1) hardy-proposed; urgency=low

  * Add libc6-dev to depends. (LP: #77624)

 -- Andreas Wenning <email address hidden>   Fri, 13 Feb 2009 14:30:32 +0100

Available diffs

Superseded in jaunty-release on 2009-02-21
varnish (2.0.2-1) unstable; urgency=low

  * New upstream version
  * Change defaults to use configuration file /etc/varnish/default.vcl
    when starting varnishd

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  18 Nov 2008 10:35:43 +0000

Available diffs

Superseded in jaunty-release on 2008-11-18
varnish (2.0.1-2) unstable; urgency=low

  [ Kees Cook ]
  * debian/rules: disable jemalloc on architectures that lack *_2POW
    definitions (Closes: #503381).

  [ Stig Sandbeck Mathisen ]
  * Add a man page for varnishtest
  * Disable jemalloc on m64k as well

Available diffs

Superseded in jaunty-release on 2008-11-06
Obsolete in intrepid-release on 2013-02-20
varnish (1.1.2) unstable; urgency=low

  * New upstream release
  * Renamed library and development packages to reflect sonames

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
varnish (1.0.3-2) unstable; urgency=low

  * Added postrm to partially solve 400384 

Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
varnish (1.0.2-2) unstable; urgency=low

  * Preliminary LSB compliabnce in init-script
  * Lintian override

166 of 66 results